Subject: RE: [bug-diffutils] bug#25663: verify macro in system.h incorrectly expects 8 byte long for 64-bit builds on Windows/Visual Studio

From: Kees Dekker <[email-masked]>
Date: Fri, 10 Feb 2017 06:31:58 +0000

Hi Paul,

>Just to be clear, porting GNU diffutils to Visual Studio is quite low on 
>our priority list. Perhaps someday somebody will contribute 
>self-contained patches for that, patches that do not significantly get 
>in the way of maintaining diffutils. But it's unlikely that any 
>maintainer will have time to spare to actually write the code for such a 
>low-priority task. In the meantime, I suggest that you use GNU/Linux or 
>some other more-GNUish platform; even Microsoft ships platforms like 
>that nowadays.

I've no choice to move away from Windows. If I'm able to make a fix, in which format do you like to get it. UNIX style patch?

As far as I can see, it is only util.c that did not compile. The other approach available is to port diffutils to Visual Studio 2015 (we already have it working for Visual Studio 2013).
Everything else need to move to Visual Studio 2015, so diff also need to move (otherwise end-users are forced to install different versions of the visual studio runtime).

And I even think that the build issues are related to something that was just introduced with diffutils 3.5... But I will check.

Regards,
Kees